# H245_ModeElementType Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_videoMode, e_audioMode, e_dataMode, e_encryptionMode, e_h235Mode, e_multiplexedStreamMode, e_redundancyEncodingDTMode, e_multiplePayloadStreamMode, e_depFecMode, e_fecMode }

## Public Member Functions

| H245_ModeElementType (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_VideoMode & ()
| operator const H245_VideoMode & () const
| operator H245_AudioMode & ()
| operator const H245_AudioMode & () const
| operator H245_DataMode & ()
| operator const H245_DataMode & () const
| operator H245_EncryptionMode & ()
| operator const H245_EncryptionMode & () const
| operator H245_H235Mode & ()
| operator const H245_H235Mode & () const
| operator H245_MultiplexedStreamParameter & ()
| operator const H245_MultiplexedStreamParameter & () const
| operator H245_RedundancyEncodingDTMode & ()
| operator const H245_RedundancyEncodingDTMode & () const
| operator H245_MultiplePayloadStreamMode & ()
| operator const H245_MultiplePayloadStreamMode & () const
| operator H245_DepFECMode & ()
| operator const H245_DepFECMode & () const
| operator H245_FECMode & ()
| operator const H245_FECMode & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_ModeElementType::Choices

Enumerator:

  e_nonStandard |
  e_videoMode |
  e_audioMode |
  e_dataMode |
  e_encryptionMode |
  e_h235Mode |
  e_multiplexedStreamMode |
  e_redundancyEncodingDTMode |
  e_multiplePayloadStreamMode |
  e_depFecMode |
  e_fecMode |

## Constructor & Destructor Documentation

H245_ModeElementType::H245_ModeElementType | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_ModeElementType::operator H245_NonStandardParameter & | ( |  | ) |

H245_ModeElementType::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_ModeElementType::operator H245_VideoMode & | ( |  | ) |

H245_ModeElementType::operator const H245_VideoMode & | ( |  | ) | const

H245_ModeElementType::operator H245_AudioMode & | ( |  | ) |

H245_ModeElementType::operator const H245_AudioMode & | ( |  | ) | const

H245_ModeElementType::operator H245_DataMode & | ( |  | ) |

H245_ModeElementType::operator const H245_DataMode & | ( |  | ) | const

H245_ModeElementType::operator H245_EncryptionMode & | ( |  | ) |

H245_ModeElementType::operator const H245_EncryptionMode & | ( |  | ) | const

H245_ModeElementType::operator H245_H235Mode & | ( |  | ) |

H245_ModeElementType::operator const H245_H235Mode & | ( |  | ) | const

H245_ModeElementType::operator H245_MultiplexedStreamParameter & | ( |  | ) |

H245_ModeElementType::operator const H245_MultiplexedStreamParameter & | ( |  | ) | const

H245_ModeElementType::operator H245_RedundancyEncodingDTMode & | ( |  | ) |

H245_ModeElementType::operator const H245_RedundancyEncodingDTMode & | ( |  | ) | const

H245_ModeElementType::operator H245_MultiplePayloadStreamMode & | ( |  | ) |

H245_ModeElementType::operator const H245_MultiplePayloadStreamMode & | ( |  | ) | const

H245_ModeElementType::operator H245_DepFECMode & | ( |  | ) |

H245_ModeElementType::operator const H245_DepFECMode & | ( |  | ) | const

H245_ModeElementType::operator H245_FECMode & | ( |  | ) |

H245_ModeElementType::operator const H245_FECMode & | ( |  | ) | const

PBoolean H245_ModeElementType::CreateObject | ( |  | ) |

PObject* H245_ModeElementType::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h